Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 301)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 302)
@@ -163,7 +163,7 @@
             DetailString,
             ApprovalStatus,
             PurchaseSeqNo,
-            LedgerLine,
+            LedgerDetailNo,
             OrderNo,
             PrintoutDate,
             PublicFlg,
@@ -179,67 +179,51 @@
         {
             try
             {
-                strSQL.Append("SELECT");
+                strSQL.Append(" (SELECT");
                 strSQL.Append(" A.CONSTRUCTIONCODE");
-                strSQL.Append(", A.FIRSTSTRING");
-                strSQL.Append(", A.SECONDSTRING");
-                strSQL.Append(", A.COMPANYCODE AS COMPANYCODE");
-                strSQL.Append(", A.COMPANYNAME");
-                strSQL.Append(", A.EXECUTIONAMOUNT");
-                strSQL.Append(", A.SOURCECODE");
-                strSQL.Append(", A.PURCHASEORDERFLG");
-                strSQL.Append(", B.DETAILSTRING");
-                strSQL.Append(", - 1 AS APPVAL");
-                strSQL.Append(", 0 AS SEQNO");
-                strSQL.Append(", A.LINECOUNT AS LINECOUNT");
-                strSQL.Append(", 0 AS ORDERNO");
-                strSQL.AppendFormat(", DATE ('{0}') AS PRINTOUTDATE", DateTime.MinValue.ToShortDateString());
-                strSQL.Append(", ConstrType.PublicFlg");
+                strSQL.Append(" , A.FIRSTSTRING");
+                strSQL.Append(" , A.SECONDSTRING");
+                strSQL.Append(" , A.COMPANYCODE AS COMPANYCODE");
+                strSQL.Append(" , A.COMPANYNAME");
+                strSQL.Append(" , A.EXECUTIONAMOUNT");
+                strSQL.Append(" , A.SOURCECODE");
+                strSQL.Append(" , A.PURCHASEORDERFLG");
+                strSQL.Append(" , B.DETAILSTRING");
+                strSQL.Append(" , -1 AS APPVAL");
+                strSQL.Append(" , 0 AS SEQNO");
+                strSQL.Append(" , A.DetailCount AS LINECOUNT");
+                strSQL.Append(" , 0 AS ORDERNO");
+                strSQL.AppendFormat(" , DATE ('{0}') AS PRINTOUTDATE", DateTime.MinValue.ToShortDateString());
+                strSQL.Append(" , ConstrType.PublicFlg");
                 strSQL.Append(" FROM CONSTRUCTIONLEDGERDETAIL A");
-
-                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE");
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B");
+                strSQL.Append("       ON B.CONSTRUCTIONCODE = A.SOURCECODE");
                 strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
-                strSQL.Append(" Inner Join constructionbaseinfo AS Base On Base.ConstructionCode = A.ConstructionCode");
-                strSQL.Append(" Inner Join constructiontypemaster As ConstrType On ConstrType.TypeCode = Base.ConstructionType");
+                strSQL.Append(" Inner Join constructionbaseinfo AS Base");
+                strSQL.Append("    On Base.ConstructionCode = A.ConstructionCode");
+                strSQL.Append(" Inner Join constructiontypemaster As ConstrType");
+                strSQL.Append("    On ConstrType.TypeCode = Base.ConstructionType");
 
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
                 strSQL.AppendFormat(" AND A.SOURCECODE = {0}", SearchCode);
                 strSQL.AppendFormat(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL.Append(" AND A.COMPANYCODE > 0");
-                strSQL.AppendFormat(" AND A.COMPANYTYPE <> {0}", (int)CommonDefine.CodeDataType.Person);
-                strSQL.AppendFormat(" AND A.PurchaseOrderFlg > {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
-
+                strSQL.Append("       AND A.COMPANYCODE > 0");
+                strSQL.AppendFormat(" AND A.COMPANYTYPE != {0}", (int)CommonDefine.CodeDataType.Person);
+                strSQL.AppendFormat(" AND (A.PurchaseOrderFlg > {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
+                strSQL.AppendFormat(" AND A.PurchaseOrderFlg != {0})", (int)ConstructionLedgerDetail.PurOrderFlgDef.Making);
+                
                 strSQL.AppendFormat(" AND ((ConstrType.PublicFlg != {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
-                strSQL.Append("       AND (A.SOURCECODE, A.COMPANYCODE) IN (SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE");
-                strSQL.Append("                                         FROM CONSTRUCTIONLEDGERDETAIL SUMTBL");
-                strSQL.AppendFormat("                                   WHERE SUMTBL.CONSTRUCTIONCODE = {0}", ParentCode);
-                strSQL.AppendFormat("                                   AND SUMTBL.SOURCECODE = {0}", SearchCode);
-                strSQL.AppendFormat("                                   AND SUMTBL.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL.Append("                                         AND SUMTBL.COMPANYCODE > 0");
-                strSQL.Append("                                         GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE, SUMTBL.PURCHASEORDERFLG");
-                strSQL.AppendFormat("                                   HAVING SUM(SUMTBL.EXECUTIONAMOUNT) >= {0}))", CommonDefine.s_PrintOutPrice);
-
+                strSQL.AppendFormat(" AND A.EXECUTIONAMOUNT >= {0})", CommonDefine.s_PrintOutPrice);
                 strSQL.AppendFormat(" OR (ConstrType.PublicFlg = {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
-                strSQL.Append("       AND (A.SOURCECODE, A.COMPANYCODE) IN (SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE");
-                strSQL.Append("                                         FROM CONSTRUCTIONLEDGERDETAIL SUMTBL");
-                strSQL.AppendFormat("                                   WHERE SUMTBL.CONSTRUCTIONCODE = {0}", ParentCode);
-                strSQL.AppendFormat("                                   AND SUMTBL.SOURCECODE = {0}", SearchCode);
-                strSQL.AppendFormat("                                   AND SUMTBL.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL.Append("                                         AND SUMTBL.COMPANYCODE > 0");
-                strSQL.Append("                                         GROUP BY SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE, SUMTBL.PURCHASEORDERFLG");
-                strSQL.AppendFormat("                                   HAVING SUM(SUMTBL.EXECUTIONAMOUNT) >= {0})))", CommonDefine.s_PrintOutPricePublic);
+                strSQL.AppendFormat(" AND A.EXECUTIONAMOUNT >= {0}))", CommonDefine.s_PrintOutPricePublic);
 
-                strSQL.Append(" AND NOT EXISTS (SELECT * FROM purchaseorderdetail AS C, purchaseorder AS D");
-                strSQL.Append(" WHERE C.ConstructionCode = A.SourceCode");
-                strSQL.Append(" AND C.SourceLineCnt = A.LineCount");
-                strSQL.AppendFormat(" And C.GroupCount = {0}", (int)PurchaseOrderDetail.GroupCountDef.Detail);
-                strSQL.Append(" AND D.ConstructionCode = C.ConstructionCode");
-                strSQL.Append(" AND D.SeqNo = C.SeqNo");
-                strSQL.Append(" AND D.CompanyCode = A.CompanyCode");
-                strSQL.Append(" )");
+                strSQL.Append(" Group by");
+                strSQL.Append(" A.CONSTRUCTIONCODE");
+                strSQL.Append(" , A.GROUPCOUNT");
+                strSQL.Append(" , A.COMPANYCODE");
+                strSQL.Append(" , A.PurchaseOrderFlg)");
 
-
-                strSQL.Append("UNION (SELECT");
+                strSQL.Append(" UNION (SELECT");
                 strSQL.Append(" A.CONSTRUCTIONCODE");
                 strSQL.Append(", A.FIRSTSTRING");
                 strSQL.Append(", A.SECONDSTRING");
@@ -256,7 +240,7 @@
                 strSQL.Append(", B.DETAILSTRING");
                 strSQL.Append(", IFNULL(C.APPROVALSTATUS, - 1) APPVAL");
                 strSQL.Append(", E.SEQNO AS SEQNO");
-                strSQL.Append(", A.LINECOUNT AS LINECOUNT");
+                strSQL.Append(", A.DetailCount AS LINECOUNT");
                 strSQL.Append(", IFNULL(C.ORDERNO, 0) AS ORDERNO");
                 strSQL.Append(", DATE_FORMAT(F.PRINTOUTDATE, '%Y/%m/%d') AS PRINTOUTDATE");
                 strSQL.Append(", ConstrType.PublicFlg");
@@ -266,16 +250,16 @@
                 strSQL.Append(" Inner Join CONSTRUCTIONBASEINFO As Base ON Base.CONSTRUCTIONCODE = A.SOURCECODE");
                 strSQL.Append(" Inner Join constructiontypemaster As ConstrType On ConstrType.TypeCode = Base.ConstructionType");
 
-                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE");
-                strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
-
-                strSQL.Append(" LEFT JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE");
+                strSQL.Append(" Inner JOIN PURCHASEORDERDETAIL E ON E.CONSTRUCTIONCODE = A.SOURCECODE");
                 strSQL.AppendFormat(" AND E.GroupCount = {0}", (int)PurchaseOrderDetail.GroupCountDef.Detail);
-                strSQL.Append(" AND E.SOURCELINECNT = A.LINECOUNT");
+                strSQL.Append(" AND E.SourceDetailCnt = A.DetailCount");
 
-                strSQL.Append(" LEFT JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = A.SOURCECODE");
+                strSQL.Append(" Inner JOIN PURCHASEORDER F ON F.CONSTRUCTIONCODE = A.SOURCECODE");
                 strSQL.Append("    AND F.SeqNo = E.SeqNo");
 
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.SOURCECODE");
+                strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+
                 strSQL.Append(" LEFT JOIN PROCESSAPPROVALDETAIL G ON G.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE");
                 strSQL.AppendFormat(" AND G.APPROVALCODE = {0} AND G.LINKCODE = E.SEQNO", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
 
@@ -288,9 +272,12 @@
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
                 strSQL.AppendFormat(" AND A.SOURCECODE = {0}", SearchCode);
                 strSQL.AppendFormat(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                strSQL.Append(" AND A.COMPANYCODE > 0");
+                strSQL.AppendFormat(" AND A.PurchaseOrderFlg = {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.Making);
+                strSQL.Append("       AND A.COMPANYCODE > 0");
                 strSQL.AppendFormat(" AND A.COMPANYTYPE <> {0}", (int)CommonDefine.CodeDataType.Person);
-                strSQL.Append(" AND F.COMPANYCODE = A.COMPANYCODE)");
+                strSQL.Append("       AND F.COMPANYCODE = A.COMPANYCODE");
+                strSQL.Append("       Group by A.CompanyCode, A.PURCHASEORDERFLG, F.SeqNo");
+                strSQL.Append(")");
 
                 strSQL.Append(" ORDER BY ORDERNO DESC, PURCHASEORDERFLG ASC, SOURCECODE ASC, COMPANYCODE ASC, APPVAL ASC");
             }
@@ -384,37 +371,28 @@
                 GetDisplayDataList(ref arList);
 
                 int iNo = 1;
-                string brkConstrName = string.Empty;
-                string strConstrName = string.Empty;
-                string strCompanyName = string.Empty;
-                int SeqNo = 0;
-                int AppStat = 0;
-                int Orderflg = 0;
                 int ApprovalCnt = 0;
                 int BaseDataCnt = 0;
-                int OrderNo = 0;
-                int LineCount = 0;
-                DateTime Printout = DateTime.Now;
-                bool NotCreateFlg = false;
+                string brkConstrName = string.Empty;
                 foreach (object[] objRec in arList)
                 {
                     // 親フォームデータセット
                     m_OrderFrm.DetailList.Add(objRec);
 
-                    SeqNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseSeqNo]);
-                    AppStat = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.ApprovalStatus]);
-                    Orderflg = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseOrderflg]);
-                    OrderNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.OrderNo]);
-                    Printout = CommonMotions.cnvDate(objRec[(int)ReadDBColumn.PrintoutDate]);
-                    LineCount = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.LedgerLine]);
+                    int SeqNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseSeqNo]);
+                    int AppStat = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.ApprovalStatus]);
+                    int Orderflg = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.PurchaseOrderflg]);
+                    int OrderNo = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.OrderNo]);
+                    DateTime Printout = CommonMotions.cnvDate(objRec[(int)ReadDBColumn.PrintoutDate]);
+                    int DetailCount = CommonMotions.cnvInt(objRec[(int)ReadDBColumn.LedgerDetailNo]);
 
-                    strConstrName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.DetailString]);
-                    strCompanyName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.CompanyName]);
+                    string strConstrName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.DetailString]);
+                    string strCompanyName = CommonMotions.cnvString(objRec[(int)ReadDBColumn.CompanyName]);
 
                     if (!brkConstrName.Equals(strConstrName)) brkConstrName = strConstrName;
                     else strConstrName = string.Empty;
 
-                    NotCreateFlg = false;
+                    bool NotCreateFlg = false;
                     if (Orderflg == (int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData)
                     {
                         NotCreateFlg = true;
@@ -432,7 +410,8 @@
                                                     CommonMotions.cnvInt(objRec[(int)ReadDBColumn.SourceCode]),
                                                     CommonMotions.cnvInt(objRec[(int)ReadDBColumn.CompanyCode]),
                                                     OrderNo,
-                                                    LineCount
+                                                    DetailCount,
+                                                    Orderflg
                                                     );
                     // 行状態セット
                     ChageRowColor(CurRowCnt, Orderflg, AppStat, Printout, OrderNo, ref  ApprovalCnt, ref BaseDataCnt);
@@ -700,15 +679,19 @@
                 StringBuilder strNotMake = new StringBuilder();
                 bool bFirstAll = true;
                 bool bFirstNotMake = true;
-                int LineCout = 0;
+                int CompanyCode = 0;
                 foreach (DataGridViewRow CurRow in dgvAllDisplay.Rows)
                 {
+                    // 作成済みは処理しない
+                    int Orderflg = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
+                    if (Orderflg == (int)ConstructionLedgerDetail.PurOrderFlgDef.Making) continue;
+                    
                     // 行取得
-                    LineCout = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.LineCount].Value);
+                    CompanyCode = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.CompanyCode].Value);
 
                     // ----- 表示しているデータを全て対象とするラインを取得する
                     if (!bFirstAll) strDispAllData.Append(",");
-                    strDispAllData.AppendFormat(" {0}", LineCout);
+                    strDispAllData.AppendFormat(" {0}", CompanyCode);
 
                     bFirstAll = false;
 
@@ -717,15 +700,10 @@
                     if (!(bool)CurRow.Cells[(int)GridColumn.NotCreate].Value) continue;
 
                     if (!bFirstNotMake) strNotMake.Append(",");
-                    strNotMake.AppendFormat(" {0}", LineCout);
+                    strNotMake.AppendFormat(" {0}", CompanyCode);
 
                     bFirstNotMake = false;
                 }
-                //if (strNotMake.Length == 0)
-                //{
-                //    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                //    return;
-                //}
 
                 int TargetCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
 
@@ -738,8 +716,9 @@
                     strUpdate.AppendFormat("UPDATE CONSTRUCTIONLEDGERDETAIL SET PURCHASEORDERFLG = {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.NoCreate);
                     strUpdate.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", TargetCode);
                     strUpdate.AppendFormat(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                    strUpdate.AppendFormat(" AND PURCHASEORDERFLG = {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData);
-                    strUpdate.AppendFormat(" AND LINECOUNT IN ({0})", strDispAllData.ToString());
+                    strUpdate.AppendFormat(" AND (PURCHASEORDERFLG != {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.Making);
+                    strUpdate.AppendFormat(" AND PURCHASEORDERFLG != {0})", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
+                    strUpdate.AppendFormat(" AND CompanyCode IN ({0})", strDispAllData.ToString());
 
                     DetailDB.ExecuteNonQuery(strUpdate.ToString(), false);
                 }
@@ -751,7 +730,9 @@
                     strUpdate.AppendFormat("UPDATE CONSTRUCTIONLEDGERDETAIL SET PURCHASEORDERFLG = {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData);
                     strUpdate.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", TargetCode);
                     strUpdate.AppendFormat(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                    strUpdate.AppendFormat(" AND LINECOUNT IN ({0})", strNotMake.ToString());
+                    strUpdate.AppendFormat(" AND (PURCHASEORDERFLG != {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.Making);
+                    strUpdate.AppendFormat(" AND PURCHASEORDERFLG != {0})", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
+                    strUpdate.AppendFormat(" AND CompanyCode IN ({0})", strNotMake.ToString());
 
                     if (!DetailDB.ExecuteNonQuery(strUpdate.ToString(), false))
                     {
@@ -815,228 +796,5 @@
         }
         #endregion
 
-        #region << ---------- デバッグロジック
-        private bool SetLineCount2(IOPurchaseOrderDetail PDetail)
-        {
-            try
-            {
-                StringBuilder strSQL = new StringBuilder();
-
-                strSQL.Append("Select");
-                strSQL.Append(" A.*");
-                strSQL.Append(", ifnull(BX.OrdersLinePrice, '***')");   // 6
-                strSQL.Append(", BX.ConstructionCode DesConstrCode");   // 7
-                strSQL.Append(", BX.SeqNo AS DesSeqNo");                // 8
-                strSQL.Append(", BX.GroupCount AS DesGrpNo");           // 9
-                strSQL.Append(", BX.LineCount AS DesLineCnt");          // 10
-                strSQL.Append(", BX.SourceLineCnt AS SourceLineCnt");   // 11
-                strSQL.Append(" From");
-                strSQL.Append(" (select");
-                strSQL.Append(" AX.ConstructionCode AS ConstructionCode");  // 0
-                strSQL.Append(", AX.GroupCount AS GroupCount");             // 1
-                strSQL.Append(", AX.LineCount AS LineCount");               // 2
-                strSQL.Append(", AX.CompanyCode AS CompanyCode");           // 3
-                strSQL.Append(", Count(*) As CompanyCount");                // 4
-                strSQL.Append(", AX.ExecutionAmount");                      // 5
-                strSQL.Append(" From");
-                strSQL.Append(" constructionledgerdetail AS AX");
-                strSQL.Append(" Where");
-                strSQL.Append(" AX.GroupCount = 2");
-                strSQL.Append(" And AX.CompanyCode > 2");
-                strSQL.Append(" Group by");
-                strSQL.Append(" AX.ConstructionCode");
-                strSQL.Append(", AX.CompanyCode");
-                strSQL.Append(") AS A,");
-                strSQL.Append(" purchaseorderdetail AS BX");
-                strSQL.Append(" Left Join purchaseorder AS CX");
-                strSQL.Append(" ON CX.ConstructionCode = BX.ConstructionCode");
-                strSQL.Append(" And CX.SeqNo = BX.SeqNo");
-                strSQL.Append(" Where");
-                strSQL.Append(" A.CompanyCount < 2");
-                strSQL.Append(" And BX.GroupCount = 0");
-                strSQL.Append(" AND BX.SourceCode = A.ConstructionCode");
-                strSQL.Append(" And CX.CompanyCode = A.CompanyCode");
-                strSQL.Append(" order by");
-                strSQL.Append(" ConstructionCode");
-                strSQL.Append(", CompanyCode");
-
-                ArrayList arList = new ArrayList();
-                if (!PDetail.ExecuteReader(strSQL.ToString(), ref arList, false)) return false;
-
-                int nConstructionCode = 0;
-                int nSeqNo = 0;
-                int nGroupCount = 0;
-                int nLineCount = 0;
-                int nSourceLine = 0;
-                StringBuilder strcmd = new StringBuilder();
-                foreach (object[] objRec in arList)
-                {
-                    nConstructionCode = CommonMotions.cnvInt(objRec[7]);
-                    nSeqNo = CommonMotions.cnvInt(objRec[8]);
-                    nGroupCount = CommonMotions.cnvInt(objRec[9]);
-                    nLineCount = CommonMotions.cnvInt(objRec[10]);
-                    nSourceLine = CommonMotions.cnvInt(objRec[2]);
-
-                    strcmd.Clear();
-                    strcmd.Append("UPDATE PurchaseOrderDetail");
-                    strcmd.Append(" SET");
-                    strcmd.AppendFormat(" SourceLineCnt = {0}", nSourceLine);
-                    strcmd.Append(PDetail.CreatePrimarykeyString(nConstructionCode, nSeqNo, nGroupCount, nLineCount));
-                    if (!PDetail.ExecuteNonQuery(strcmd.ToString(), false))
-                    {
-                        PDetail.rollback();
-                        return false;
-                    }
-                }
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-
-        private bool SetLineCount1(IOPurchaseOrderDetail PDetail)
-        {
-            try
-            {
-                StringBuilder strSQL = new StringBuilder();
-
-                strSQL.Append("select");
-                strSQL.Append("  A.ConstructionCode");
-                strSQL.Append(", A.SOURCECODE");
-                strSQL.Append(", A.SeqNo");
-                strSQL.Append(", A.GroupCount");
-                strSQL.Append(", A.LineCount");
-                strSQL.Append(", A.SourceLineCnt AS DESLINE");
-                strSQL.Append(", C.LineCount AS SORLINE");
-                strSQL.Append(", B.CompanyCode AS PurCompany");
-                strSQL.Append(", C.CompanyCode AS LedCompany");
-                strSQL.Append(", A.OrdersLinePrice AS DESVAL");
-                strSQL.Append(", C.ExecutionAmount AS SORVAL");
-                strSQL.Append(", ROUND((C.ExecutionAmount * 0.875), 0)");
-                strSQL.Append(" from");
-                strSQL.Append("  purchaseorderdetail AS A");
-                strSQL.Append(", purchaseorder AS B");
-                strSQL.Append(", constructionledgerdetail AS C");
-                strSQL.Append(", constructionledger AS D");
-                strSQL.Append(" where");
-                strSQL.Append(" A.GroupCount=0");
-                strSQL.Append(" And A.SourceCode<>0");
-                strSQL.Append(" And B.ConstructionCode = A.ConstructionCode");
-                strSQL.Append(" And B.SeqNo = A.SeqNo");
-                strSQL.Append(" And C.ConstructionCode = A.SOURCECODE");
-                strSQL.Append(" And C.GroupCount = 2");
-                strSQL.Append(" And C.CompanyCode = B.CompanyCode");
-                strSQL.Append(" And (C.ExecutionAmount = A.OrdersLinePrice");
-                strSQL.Append(" Or ROUND((C.ExecutionAmount * 0.875), 0) = A.OrdersLinePrice)");
-                strSQL.Append(" And D.ConstructionCode = C.ConstructionCode");
-
-                ArrayList arList = new ArrayList();
-                if (!PDetail.ExecuteReader(strSQL.ToString(), ref arList, false)) return false;
-
-                int nConstructionCode = 0;
-                int nSeqNo = 0;
-                int nGroupCount = 0;
-                int nLineCount = 0;
-                int nSourceLine = 0;
-                StringBuilder strcmd = new StringBuilder();
-                foreach (object[] objRec in arList)
-                {
-                    nConstructionCode = CommonMotions.cnvInt(objRec[0]);
-                    nSeqNo = CommonMotions.cnvInt(objRec[2]);
-                    nGroupCount = CommonMotions.cnvInt(objRec[3]);
-                    nLineCount = CommonMotions.cnvInt(objRec[4]);
-                    nSourceLine = CommonMotions.cnvInt(objRec[6]);
-
-                    strcmd.Clear();
-                    strcmd.Append("UPDATE PurchaseOrderDetail");
-                    strcmd.Append(" SET");
-                    strcmd.AppendFormat(" SourceLineCnt = {0}", nSourceLine);
-                    strcmd.Append(PDetail.CreatePrimarykeyString(nConstructionCode, nSeqNo, nGroupCount, nLineCount));
-                    if (!PDetail.ExecuteNonQuery(strcmd.ToString(), false))
-                    {
-                        PDetail.rollback();
-                        return false;
-                    }
-                }
-
-                strSQL.Clear();
-                strSQL.Append("Select");
-                strSQL.Append(" A.*");
-                strSQL.Append(" ,D.ConstructionCode AS SorCode");   // 5
-                strSQL.Append(" ,D.CompanyCode AS SorComCode");     // 6
-                strSQL.Append(" ,D.ExecutionAmount AS SorVal");     // 7
-                strSQL.Append(" ,D.LineCount AS SorLine");          // 8
-
-                strSQL.Append(" ,B.ConstructionCode AS DesCode");   // 9
-                strSQL.Append(" ,B.SeqNo AS DesSeq");               // 10
-                strSQL.Append(" ,B.GroupCount AS DesGrp");          // 11
-                strSQL.Append(" ,B.LineCount AS DesLine");          // 12
-                strSQL.Append(" ,B.SourceCode AS DesSorCode");      // 13
-                strSQL.Append(" ,B.OrdersLinePrice AS DesSorLine"); // 14
-                strSQL.Append(" From");
-                strSQL.Append(" (select AX.ConstructionCode AS ConstructionCode");
-                strSQL.Append(", AX.CompanyCode AS CompanyCode");
-                strSQL.Append(", Count(*) As CompanyCount");
-                strSQL.Append(", SUM(AX.ExecutionAmount) As ExeVal");
-                strSQL.Append(", ROUND(((SUM(AX.ExecutionAmount) / 8.0) / Count(*)), 0) AS SumVal");
-                strSQL.Append(" From");
-                strSQL.Append(" constructionledgerdetail AS AX");
-                strSQL.Append(" Where");
-                strSQL.Append(" AX.GroupCount = 2");
-                strSQL.Append(" And AX.CompanyCode > 1");
-                strSQL.Append(" And AX.PurchaseOrderFlg = 1");
-                strSQL.Append(" Group by");
-                strSQL.Append(" AX.ConstructionCode");
-                strSQL.Append(", AX.CompanyCode) AS A");
-                strSQL.Append(",purchaseorderdetail AS B");
-                strSQL.Append(",purchaseorder AS C");
-                strSQL.Append(",constructionledgerdetail AS D");
-                strSQL.Append(" Where");
-                strSQL.Append(" A.CompanyCount > 1");
-                strSQL.Append(" And (A.ExeVal <> 0 And A.SumVal <> 0)");
-                strSQL.Append(" And B.SourceCode = A.ConstructionCode");
-                strSQL.Append(" And B.GroupCount = 0");
-                strSQL.Append(" And C.ConstructionCode = B.ConstructionCode");
-                strSQL.Append(" And C.SeqNo = B.SeqNo");
-                strSQL.Append(" And C.CompanyCode = A.CompanyCode");
-                strSQL.Append(" And (D.ConstructionCode = B.SourceCode");
-                strSQL.Append(" And D.GroupCount = 2");
-                strSQL.Append(" And D.CompanyCode = A.CompanyCode");
-                strSQL.Append(" And D.ExecutionAmount = (B.OrdersLinePrice + A.SumVal))");
-
-                arList.Clear();
-                if (!PDetail.ExecuteReader(strSQL.ToString(), ref arList, false)) return false;
-                foreach (object[] objRec in arList)
-                {
-                    nConstructionCode = CommonMotions.cnvInt(objRec[9]);
-                    nSeqNo = CommonMotions.cnvInt(objRec[10]);
-                    nGroupCount = CommonMotions.cnvInt(objRec[11]);
-                    nLineCount = CommonMotions.cnvInt(objRec[12]);
-                    nSourceLine = CommonMotions.cnvInt(objRec[8]);
-
-                    strcmd.Clear();
-                    strcmd.Append("UPDATE PurchaseOrderDetail");
-                    strcmd.Append(" SET");
-                    strcmd.AppendFormat(" SourceLineCnt = {0}", nSourceLine);
-                    strcmd.Append(PDetail.CreatePrimarykeyString(nConstructionCode, nSeqNo, nGroupCount, nLineCount));
-                    if (!PDetail.ExecuteNonQuery(strcmd.ToString(), false))
-                    {
-                        PDetail.rollback();
-                        return false;
-                    }
-                }
-                return true;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-        }
-        #endregion
-
     }
 }
